
/**
 * Web唐明明
 * 匆匆数载恍如梦，岁月迢迢华发增。
 * 碌碌无为枉半生，一朝惊醒万事空。
 */

import Vue from 'vue'
import Vuex from 'vuex'

Vue.use(Vuex)

export default new Vuex.Store({
	state: {
		token 		: uni.getStorageSync('token') || '',
	},
	getters: {
		getToken: state => {
			return state.token
		}
	},
	mutations: {
		setToken(state, tokenString) {
			state.token = tokenString
			uni.setStorageSync('token', tokenString)
		}
	}
})
